<script>
	export default {
		onLaunch: function() {
			this.$store.commit('getBanner')
		},
		onShow: function() {
			this.$store.commit('initConfig')
			this.$store.commit('getPosition')
			this.$store.commit('getSpotList')
			
			setInterval(() => {
				this.$store.commit('getPosition')
			}, 20000)
		},
		onHide: function() {
		}
	}
</script>

<style lang="scss">
	@import url("common.scss");
	/*每个页面公共css */
	body{
		background-color: $uni-bg-color;
		font-size: 30rpx;
		color: #333;
	}
	.page{
		padding-top: var(--window-top);
	}
	
</style>
